# -*- coding: utf-8 -*-
# vim: ft=sls

{%- set tplroot = tpldir.split('/')[0] %}
{%- set sls_service_running = tplroot ~ '.service.running' %}
{%- set sls_package_install = tplroot ~ '.package.install' %}
{%- from tplroot ~ "/map.jinja" import apache with context %}

include:
  - {{ sls_service_running }}
  - {{ sls_package_install }}

apache-config-modules-wsgi-pkg:
  pkg.installed:
    - name: {{ apache.pkg.mod_wsgi }}
    - require:
      - pkg: apache
    - watch_in:
      - module: apache-service-running-restart
    - require_in:
      - module: apache-service-running-restart
      - module: apache-service-running-reload
      - service: apache-service-running

    {%- if 'conf_mod_wsgi' in apache %}

  file.uncomment:
    - name: {{ apache.conf_mod_wsgi }}
    - regex: LoadModule
    - onlyif: test -f {{ apache.conf_mod_wsgi }}
    - require:
      - pkg: apache-config-modules-wsgi-pkg
    - watch_in:
      - module: apache-service-running-restart
    - require_in:
      - module: apache-service-running-restart
      - module: apache-service-running-reload
      - service: apache-service-running

    {%- endif %}
